> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toapis.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 剪辑与改造

> crop/removeSection/fadeIn/fadeOut/adjustSpeed/replaceMusic/sample/mashup/concat/coverSong/remaster

> [!NOTE]
>
> **国内用户请注意：** 中国大陆用户请使用 `https://toapis.cn` 作为接口地址（Base URL）。

剪辑与改造类操作，全部以已有任务为源：

```
POST https://toapis.com/v1/music/generations/{operation}
```

**model** `string` *required*

固定 `"suno"`

**task\_id** `string` *required*

源任务 ID（本平台 `tsk_aud_` ID)

**audio\_index** `number`

源曲目序号

## 时间段剪辑(\$0.008 / 次）

| operation | 说明 | 额外必填 |
| - | - | - |
| `crop` | 截取时间段保留 | `start_s`、`end_s` |
| `removeSection` | 删除时间段 | `start_s`、`end_s` |

```bash theme={null}
curl --request POST \
  --url https://toapis.com/v1/music/generations/crop \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{"model":"suno","task_id":"tsk_aud_xxx","audio_index":1,"start_s":10,"end_s":40}'
```

## 淡入淡出(\$0.008 / 次）

| operation | 说明 | 额外必填 |
| - | - | - |
| `fadeIn` | 开头淡入 | `duration_s` |
| `fadeOut` | 结尾淡出 | `duration_s` |

## adjustSpeed — 变速(\$0.024)

**speed** `number` *required*

速度倍率，如 `0.8` / `1.25`

**keep\_pitch** `boolean`

变速时保持音调

## 换写与重制

### replaceMusic — 片段换写($0.05,Max $0.10)

**start\_s** `number` *required*

换写起点（秒）

**end\_s** `number` *required*

换写终点（秒）

**infill\_lyrics** `string`

该片段的新歌词

**max\_mode** `boolean`

Max 档（本操作无 `custom`，直接生效）

### sample — 采样重编排($0.05,Max $0.10)

> [!WARNING]
>
> `task_id` 必须是 `uploadTask` 产物，其他源会被拒绝。

**start\_s** `number` *required*

采样起点（秒）

**end\_s** `number` *required*

采样终点（秒）

**gpt\_description** `string`

重编排描述（custom=false 时必填）

### coverSong — 翻唱($0.05,Max $0.10)

**gpt\_description** `string`

目标风格描述（custom=false 时必填）

**custom** `boolean`

**prompt** `string`

custom=true 时的歌词

**style** `string`

目标风格

### remaster — 音质重制(\$0.05)

**variation\_category** `string`

重制取向（可选）

### mashup — 混编($0.05,Max $0.10)

**task\_ids** `array` *required*

恰好 2 个源任务 ID

**audio\_indexes** `array`

各源任务的曲目序号

**gpt\_description** `string`

混编风格描述（custom=false 时必填）

```bash theme={null}
curl --request POST \
  --url https://toapis.com/v1/music/generations/mashup \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{"model":"suno","task_ids":["tsk_aud_aaa","tsk_aud_bbb"],"gpt_description":"blend into seamless lo-fi"}'
```

### concat — 拼接(\$0.004)

拼接 `extend` 产生的分段为完整曲目。

**task\_id** `string` *required*

`extend` 源任务 ID

## Response

**task\_id** `string`

新任务 ID

**status** `string`

`submitted`


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.